<!-- /********************************************************************************
* Copyright (c) 2020 Contributors to the Eclipse Foundation
*
* See the NOTICE file(s) distributed with this work for additional
* information regarding copyright ownership.
*
* This program and the accompanying materials are made available under the
* terms of the Eclipse Public License v. 2.0 which is available at
* http://www.eclipse.org/legal/epl-2.0.
*
* SPDX-License-Identifier: EPL-2.0
********************************************************************************/ -->

<ag-grid-angular
  autoResizeColumns
  class="ag-theme-balham table-size"
  [gridOptions]="gridOptions"
  [defaultColDef]="defaultColDef"
  [rowData]="gridFailures"
  [overlayNoRowsTemplate]="noRowsTemplate"
  [columnDefs]="columnDefs"
  (gridReady)="onGridReady($event)"
>
</ag-grid-angular>
<app-spinner [isRunning]="!(gridFailures)"></app-spinner>
<div id="grid-failure-information-table-app-lastChange">Letzte Änderung: {{lastModDate}}</div>
